{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function set_property, rowexists\r\ndeclare subroutine forward_event\r\n$insert company_equ\r\n\r\nforward_event( Flag, FocusId )\r\nCustNo = .cust_no->text\r\nif rowexists( 'QUOTE', CustNo ) else\r\n    Terms = xlate( 'COMPANY', CustNo, company_terms$, 'X' )\r\n    if Terms then\r\n        .terms->text = Terms\r\n    end\r\nend\r\nVoid = set_property( @window, '@CUST_NO', CustNo )\r\nRETURN 0"
        }
    }
}